///////////// МАНИПУЛЯТОР ДЛЯ ГРАФИЧЕСКИХ ИЗОБРАЖЕНИЙ скетч с потенциометрами //////////////////////////////
#include <Servo.h> // подключение библиотеки Servo

Servo servo1;//указываем сервопривод основного поворота (при увел. угла - повор. рычага ВЛЕВО)
Servo servo2;//указываем сервопривод дополнительного поворота (при увел. угла - повор. рычага ВПРАВО)
Servo servo3;//указываем сервопривод подъёмника (при увел. угла - повор. рычага ВВЕРХ) 
int a01=80;//начальный угол 
int a02=95;
int a03=105;
int da1;//переменные хранения добавок к углам поворота
int da2;
int da3;

void setup()
{
servo1.attach(5);// подключаем переменную servo к соответствующему выводу платы Ардуино
servo2.attach(6);
servo3.attach(7);
servo1.write(a01);//начальная установка положения 
servo2.write(a02);
servo3.write(a03);
delay(2000);
}
void loop()
{
da1 = analogRead(A0); // чтение данных потенциометров 1-3 и масштабирование значения к интервалу добавок углов  
da2 = analogRead(A1);  
da3 = analogRead(A2); 

da1=map(da1,0,1023,-35,0);
da2=map(da2,0,1023,30,-20);
da3=map(da3,0,1023,20,-20);

servo3.write(a03+da3);// поворот сервоприводов 1-3 на полученный угол
servo2.write(a02+da2);
servo1.write(a01+da1+da2/2);
 

delay(20); // пауза для ожидания поворота сервоприводов
}
